#ifndef NODE_H
#define NODE_H

// for NULL (seriously)
#include <cstddef>

// The implementation of Node is so simple that we put
// the code directly in this file
class Node {
 public:
  // constructor
  Node(int i) {
    item = i;
    next = NULL;
  }

  Node(int item, Node* next) {
    this->item = item;
    this->next = next;
  }

  // Accessor methods
  int getItem() const { return item; }
  Node* getNext() const { return next; }
  
  // Mutator methods
  void setItem(int i) { item = i; }
  void setNext(Node* n) { next = n; }

 private:
  int item;
  Node* next;
};
  
#endif
